Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class FunctionLibraryImpl

    java.lang.Object
      com.novell.xml.xpath.FunctionLibraryImpl

All Implemented Interfaces:
  FunctionLibrary

Direct Known Subclasses:
  ExtensibleFunctionLibrary

    public class FunctionLibraryImpl

extends Object
implements FunctionLibrary

Implementation of com.novell.xml.xpath.FunctionLibrary for convenience.

Constructor Summary
`FunctionLibraryImpl()`

Method Summary
`void` | `addFunction(Function function)` Add a function to the library
`protected Function` | `findFunction(ExpandedQName name)` Return a function implementation by name, or null if no implementation is available for the passed name.
`Function` | `getFunction(ExpandedQName name)` Return an object of type `Function` given the function name.
`boolean` | `isFunctionAvailable(ExpressionContext context, ExpandedQName name)` Return true if a function under a given name is available

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionLibraryImpl

    public FunctionLibraryImpl()

Method Detail

### getFunction

    public Function getFunction(ExpandedQName name)
                         throws XPathParserException

  Return an object of type `Function` given the function name.

  Specified by:
    `getFunction` in interface `FunctionLibrary`
  Parameters:
    `name` - name of the function to find
  Returns:
    a `Function` object
  Throws:
    `XPathParserException`

### isFunctionAvailable

    public boolean isFunctionAvailable(ExpressionContext context,
                                       ExpandedQName name)

  Return true if a function under a given name is available

  Specified by:
    `isFunctionAvailable` in interface `FunctionLibrary`
  Parameters:
    `context` - the expression context
    `name` - name of the function

### addFunction

    public void addFunction(Function function)

  Add a function to the library

  Specified by:
    `addFunction` in interface `FunctionLibrary`
  Parameters:
    `function` - The function to bind.

### findFunction

    protected Function findFunction(ExpandedQName name)

  Return a function implementation by name, or null if no implementation is available for the passed name.

  Parameters:
    `name` - The expanded name of the function
  Returns:
    The function, or null if none found with the passed name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD